# vbase.h File Reference

## Detailed Description

Base class for vformat support.

Definition in file vbase.h.

`#include "dll.h"`
`#include "vsmartptr.h"`
`#include "vformat.h"`
`#include "error.h"`
`#include <vector>`

Include dependency graph for vbase.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Barry
namespace | Barry::Sync

## Classes

class | Barry::Sync::vTimeConverter
| A virtual base class that the plugins may override, to do time related conversions. More...
class | Barry::Sync::vAttr
| Class for reading a b_VFormatAttribute. More...
class | Barry::Sync::vBase
| Base class containing vformat helper API. More...